org.scalatest

# Reporter

#### trait Reporter extends AnyRef

Trait whose instances collect the results of a running suite of tests and presents those results in some way to the user. Instances of this trait can be called "report functions" or "reporters."

Reporters receive test results via thirteen events. Each event is fired to pass a particular kind of information to the reporter. The events are:

- `RunStarting`
- `TestStarting`
- `TestSucceeded`
- `TestFailed`
- `TestIgnored`
- `TestPending`
- `SuiteStarting`
- `SuiteCompleted`
- `SuiteAborted`
- `InfoProvided`
- `RunStopped`
- `RunAborted`
- `RunCompleted`

Reporters may be implemented such that they only present some of the reported events to the user. For example, you could define a reporter class that doesn nothing in response to `SuiteStarting` events. Such a class would always ignore `SuiteStarting` events.

The term test as used in the `TestStarting`, `TestSucceeded`, and `TestFailed` event names is defined abstractly to enable a wide range of test implementations. Trait `Suite` fires `TestStarting` to indicate it is about to invoke one of its test methods, `TestSucceeded` to indicate a test method returned normally, and `TestFailed` to indicate a test method completed abruptly with an exception. Although the execution of a `Suite`'s test methods will likely be a common event reported via the `TestStarting`, `TestSucceeded`, and `TestFailed` methods, because of the abstract definition of “test” used by the the event classes, these events are not limited to this use. Information about any conceptual test may be reported via the `TestStarting`, `TestSucceeded`, and `TestFailed` events.

Likewise, the term suite as used in the `SuiteStarting`, `SuiteAborted`, and `SuiteCompleted` event names is defined abstractly to enable a wide range of suite implementations. Object `Runner` fires `SuiteStarting` to indicate it is about to invoke `run` on a `Suite`, `SuiteCompleted` to indicate a `Suite`'s `run` method returned normally, and `SuiteAborted` to indicate a `Suite`'s `run` method completed abruptly with an exception. Similarly, class `Suite` fires `SuiteStarting` to indicate it is about to invoke `run` on a nested `Suite`, `SuiteCompleted` to indicate a nested `Suite`'s `run` method returned normally, and `SuiteAborted` to indicate a nested `Suite`'s `run` method completed abruptly with an exception. Although the execution of a `Suite`'s `run` method will likely be a common event reported via the `SuiteStarting`, `SuiteAborted`, and `SuiteCompleted` events, because of the abstract definition of "suite" used by the event classes, these events are not limited to this use. Information about any conceptual suite may be reported via the `SuiteStarting`, `SuiteAborted`, and `SuiteCompleted` events.

#### Extensibility

You can create classes that extend `Reporter` to report test results in custom ways, and to report custom information passed as an event "payload." For more information on the latter use case, see the Extensibility section of the `Event` documentation.

`Reporter` classes can handle events in any manner, including doing nothing.

Linear Supertypes
AnyRef, Any
Known Subclasses
ResourcefulReporter
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Reporter
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Abstract Value Members

1. #### def apply (event: Event): Unit

   Invoked to report an event that subclasses may wish to report in some way to the user.

   Invoked to report an event that subclasses may wish to report in some way to the user.

   event

     the event being reported

   Attributes
     abstract

### Concrete Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def toString (): String

    Definition Classes
      AnyRef → Any

19. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

20. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

21. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any